pat.h File Reference
Digital TV table parsing

Provides the descriptors for PAT MPEG-TS table. More...

`#include <stdint.h>`
`#include <unistd.h>`
`#include <libdvbv5/header.h>`

Go to the source code of this file.

## Data Structures

struct | dvb_table_pat_program
| MPEG-TS PAT program table. More...
struct | dvb_table_pat
| MPEG-TS PAT table. More...

## Macros

#define | DVB_TABLE_PAT
| PAT table ID.
#define | DVB_TABLE_PAT_PID
| PAT Program ID.
#define | dvb_pat_program_foreach(_pgm, _pat)
| Macro used to find programs on a PAT table.

## Functions

ssize_t | dvb_table_pat_init (struct dvb_v5_fe_parms *parms, const uint8_t *buf, ssize_t buflen, struct dvb_table_pat **table)
| Initializes and parses PAT table.
void | dvb_table_pat_free (struct dvb_table_pat *table)
| Frees all data allocated by the PAT table parser.
void | dvb_table_pat_print (struct dvb_v5_fe_parms *parms, struct dvb_table_pat *table)
| Prints the content of the PAT table.

## Detailed Description

Provides the descriptors for PAT MPEG-TS table.

Copyright
  GNU Lesser General Public License version 2.1 (LGPLv2.1)

Author
  Mauro Carvalho Chehab
  Andre Roth

Relevant specs
  The table described herein is defined at:
  - ISO/IEC 13818-1

See also
  http://www.etherguidesystems.com/help/sdos/mpeg/syntax/tablesections/pat.aspx

Bug Report
  Please submit bug reports and patches to linux.nosp@m.-med.nosp@m.ia@vg.nosp@m.er.k.nosp@m.ernel.nosp@m..org

Definition in file pat.h.